#!/usr/bin/perl -w

## recoit le nom d'un fichier .pps
#@path = split (/\//, $ARGV[0]); ## recupere le chemin et le nom dans un tableau
$source = "$ARGV[0]";

## lecture du source, et stockage ds le tableau @le_source
$i = 0;
open (SRC, $source) or die "ouverture du fichier $source impossible";
while ($ligne = <SRC>) {
    ## suppression des commentaires
    if ($ligne =~ /%/) {
       $ligne =~ s/%.*$//;
    }
    ## remplacement des tabulations
    if ($ligne =~ /\t/) {
        $ligne =~ s/\t/ /g;
    };
    ## remplacement des (){}[]
    if ($ligne =~ /\(|\)|{|}|\[|\]/) {
           $ligne =~ s/\(|\)|{|}|\[|\]/ /g;
    }
##     ## remplacement des doubles espaces
##     while ($ligne =~ /  /) {
## 	      $ligne =~ s/  / /g;
##     }    
    $ligne =~ s/\r\n//;
##    $ligne =~ s/\n//;

##    print ("$i : " . $ligne);

    $le_source [$i] = $ligne;
    $i = $i + 1;
};
close (SRC);

## on cherche les cles definies dans le fichier
$i = 0;
@les_cles = ();
foreach $ligne (@le_source) {
    ## la ligne definit une nouvelle cle
    if ($ligne =~ /^\//) {
        $cle = $ligne;
        ## suppression des sauts de ligne
        $cle =~ s/\n//;
        ## on recup la cle
        $cle =~ s/^\/([^ ]*).*/$1/;
        ## puis on l'efface de la ligne
        $ligne =~ s/^\/[^ ]*(.*)/$1/;
        ## on stocke la nouvelle cle
        $les_cles [$i] = $cle;
        $i = $i + 1;
    };
};

foreach (@les_cles) {
    print ($_ . "\n");
};

1;
